This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 197048 - Review Request: pam_script
Review Request: pam_script
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-06-28 05:46 EDT by Michael J Knox
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-28 18:07:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael J Knox 2006-06-28 05:46:30 EDT
Spec URL: http://www.knox.net.nz/~michael/pam_script.spec
SRPM URL: http://www.knox.net.nz/~michael/pam_script-0.1.7-1.src.rpm

Description: pam_script is a module which allows to execute scripts after opening
and/or closing a session using PAM.
Comment 1 Jason Tibbitts 2006-06-28 11:06:17 EDT
This fails to build in mock:

+ make
gcc -Wall -pedantic -fPIC -shared  -o pam_script.so pam_script.c
pam_script.c:23:34: error: security/_pam_macros.h: No such file or directory
pam_script.c:24:34: error: security/pam_modules.h: No such file or directory
pam_script.c:48: error: expected ')' before '*' token
pam_script.c:83: error: expected ')' before '*' token
pam_script.c:240: error: expected '=', ',', ';', 'asm' or '__attribute__' before
'int'
pam_script.c:249: error: expected '=', ',', ';', 'asm' or '__attribute__' before
'int'
pam_script.c:259: error: expected '=', ',', ';', 'asm' or '__attribute__' before
'int'
pam_script.c:296: error: expected '=', ',', ';', 'asm' or '__attribute__' before
'int'
make: *** [pam_script.so] Errror 1

Adding BuildRequires: pam-devel fixes this up; rpmlint is happy with the
resulting package.  I'll assume the BR: is there for the purposes of this review.

The compiler isn't called with the appropriate flags.  You need to pass in
${optflags} somehow.  This also causes the -debuginfo package to be broken.

* package meets naming and packaging guidelines (pam modules use an underscore).
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream. 
* source files match upstream:
   9f1031154718b79d6ee79c9c5231b1d4  pam-script-0.1.7.tar.gz
* latest version is being packaged.
X BuildRequires are proper.
* package builds in mock (development, x86_64) (after adding BR: pam-devel)
* rpmlint is silent.
* final provides and requires are sane:
   pam_script.so()(64bit)
   pam_script = 0.1.7-1.fc6
  =
   (empty)
* shared libraries are present, internal to pam.
* package is not relocatable.
* owns the directories it creates (doesn't own /lib/security, but I think pam is
a requirement for any running system)
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is not present; no test suite upstream.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
Comment 2 Michael J Knox 2006-06-28 15:55:15 EDT
thanks for the review..

updated package ans spec

Spec URL: http://www.knox.net.nz/~michael/pam_script.spec
SRPM URL: http://www.knox.net.nz/~michael/pam_script-0.1.7-1.src.rpm
Comment 3 Michael J Knox 2006-06-28 15:55:59 EDT
Sorry.. incorrect URLs, trying again. 

Spec URL: http://www.knox.net.nz/~michael/pam_script.spec
SRPM URL: http://www.knox.net.nz/~michael/pam_script-0.1.7-2.src.rpm
Comment 4 Jason Tibbitts 2006-06-28 17:00:26 EDT
Looks good; the package builds fine, the compiler is called with the proper
flags and the debuginfo package includes the files it's supposed to.

APPROVED
Comment 5 Michael J Knox 2006-06-28 18:07:17 EDT
Cheers for the review, imported into CVS and building on devel. 

Note You need to log in before you can comment on or make changes to this bug.